abstract class SidebarEvent {}

class LoadBookableSpaces extends SidebarEvent {}

class SelectRoomEvent extends SidebarEvent {
  final String roomId;

  SelectRoomEvent(this.roomId);
}

class SearchRoomsEvent extends SidebarEvent {
  final String query;

  SearchRoomsEvent(this.query);
}

// Add these to your sidebar_event.dart file
class LoadMoreSpaces extends SidebarEvent {}

class ResetSearch extends SidebarEvent {}

// Add to sidebar_event.dart
class ExecuteSearch extends SidebarEvent {
  final String query;

  ExecuteSearch(this.query);
}
